Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Interface AuditLogService

All Superinterfaces:
  AuditService

All Known Implementing Classes:
  CommandBasedAuditLogService, ExecutorJPAAuditService, JPAAuditLogService, TaskJPAAuditService

    public interface AuditLogService

extends AuditService

Implementations of this class deal with `ProcessInstanceLog`, `NodeInstanceLog` and `VariableInstanceLog` entities.

Please see the public methods for the interface of this service.

Method Summary
`List<ProcessInstanceLog>` | `findActiveProcessInstances()`
`List<ProcessInstanceLog>` | `findActiveProcessInstances(String processId)` Returns all active process instances for given process id
`List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId)` Returns all node instances that were already triggered for given process instance id
`List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId, String nodeId)` Returns all node instances that were already triggered for given process instance id and node identifier
`ProcessInstanceLog` | `findProcessInstance(long processInstanceId)` Returns process instance log for given process instance id
`List<ProcessInstanceLog>` | `findProcessInstances()` Service methods
`List<ProcessInstanceLog>` | `findProcessInstances(String processId)` Returns all known process instances for given process id
`List<ProcessInstanceLog>` | `findSubProcessInstances(long processInstanceId)` Returns all known subprocess instance logs for given process instance id - considered parent process instance id
`List<VariableInstanceLog>` | `findVariableInstances(long processInstanceId)` Returns all variable logs for given process instance id
`List<VariableInstanceLog>` | `findVariableInstances(long processInstanceId, String variableId)` Returns all variable logs for given process instance id and variable identifier
`List<VariableInstanceLog>` | `findVariableInstancesByName(String variableId, boolean onlyActiveProcesses)` Returns all variable logs that are identified by variable id regardless of what process instance they belong to
`List<VariableInstanceLog>` | `findVariableInstancesByNameAndValue(String variableId, String value, boolean onlyActiveProcesses)` Returns all variable logs that are identified by variable id and has given value regardless of what process instance they belong to
`org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `nodeInstanceLogDelete()`
`org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `nodeInstanceLogQuery()` Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `NodeInstanceLog` instances.
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `processInstanceLogDelete()`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `processInstanceLogQuery()` Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `ProcessInstanceLog` instances.
`List<NodeInstanceLog>` | `queryNodeInstanceLogs(org.kie.internal.query.data.QueryData queryData)`
`List<ProcessInstanceLog>` | `queryProcessInstanceLogs(org.kie.internal.query.data.QueryData queryData)`
`List<VariableInstanceLog>` | `queryVariableInstanceLogs(org.kie.internal.query.data.QueryData queryData)`
`org.kie.internal.runtime.manager.audit.query.VariableInstanceLogDeleteBuilder` | `variableInstanceLogDelete()`
`org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `variableInstanceLogQuery()` Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `VariableInstanceLog` instances.

Methods inherited from interface org.kie.api.runtime.manager.audit.AuditService
`clear, dispose`

Method Detail

### findProcessInstances

    List<ProcessInstanceLog> findProcessInstances()

  Service methods

  Specified by:
    `findProcessInstances` in interface `AuditService`
  Returns:

### findActiveProcessInstances

    List<ProcessInstanceLog> findActiveProcessInstances()

### findProcessInstances

    List<ProcessInstanceLog> findProcessInstances(String processId)

  Description copied from interface: `AuditService`
  Returns all known process instances for given process id

  Specified by:
    `findProcessInstances` in interface `AuditService`
  Parameters:
    `processId` - identifier of the process definition
  Returns:
    all process instance logs for given process id or empty list if none were found

### findActiveProcessInstances

    List<ProcessInstanceLog> findActiveProcessInstances(String processId)

  Description copied from interface: `AuditService`
  Returns all active process instances for given process id

  Specified by:
    `findActiveProcessInstances` in interface `AuditService`
  Parameters:
    `processId` - identifier of the process definition
  Returns:
    all active process instance logs for given process id or empty list if none were found

### findProcessInstance

    ProcessInstanceLog findProcessInstance(long processInstanceId)

  Description copied from interface: `AuditService`
  Returns process instance log for given process instance id

  Specified by:
    `findProcessInstance` in interface `AuditService`
  Parameters:
    `processInstanceId` - unique identifier of process instance
  Returns:
    process instance log for given process instance id or null if not found

### findSubProcessInstances

    List<ProcessInstanceLog> findSubProcessInstances(long processInstanceId)

  Description copied from interface: `AuditService`
  Returns all known subprocess instance logs for given process instance id - considered parent process instance id

  Specified by:
    `findSubProcessInstances` in interface `AuditService`
  Parameters:
    `processInstanceId` - identifier of the parent process instance id
  Returns:
    all process instance logs that are subprocess to a given process instance id

### findNodeInstances

    List<NodeInstanceLog> findNodeInstances(long processInstanceId)

  Description copied from interface: `AuditService`
  Returns all node instances that were already triggered for given process instance id

  Specified by:
    `findNodeInstances` in interface `AuditService`
  Parameters:
    `processInstanceId` - unique identifier of process instance
  Returns:
    all node instance logs for given process instance id

### findNodeInstances

    List<NodeInstanceLog> findNodeInstances(long processInstanceId,
                                            String nodeId)

  Description copied from interface: `AuditService`
  Returns all node instances that were already triggered for given process instance id and node identifier

  Specified by:
    `findNodeInstances` in interface `AuditService`
  Parameters:
    `processInstanceId` - unique identifier of process instance
    `nodeId` - node identifier - by default it should be unique id (from process definition) but if not available regular node id shall be used
  Returns:

### findVariableInstances

    List<VariableInstanceLog> findVariableInstances(long processInstanceId)

  Description copied from interface: `AuditService`
  Returns all variable logs for given process instance id

  Specified by:
    `findVariableInstances` in interface `AuditService`
  Parameters:
    `processInstanceId` - unique identifier of process instance
  Returns:
    all variables logs for given process instance or empty list of none were found

### findVariableInstances

    List<VariableInstanceLog> findVariableInstances(long processInstanceId,
                                                    String variableId)

  Description copied from interface: `AuditService`
  Returns all variable logs for given process instance id and variable identifier

  Specified by:
    `findVariableInstances` in interface `AuditService`
  Parameters:
    `processInstanceId` - unique identifier of process instance
    `variableId` - variable name
  Returns:
    all variable logs for given process instance and variable identifier or empty list if none were found

### findVariableInstancesByName

    List<VariableInstanceLog> findVariableInstancesByName(String variableId,
                                                          boolean onlyActiveProcesses)

  Description copied from interface: `AuditService`
  Returns all variable logs that are identified by variable id regardless of what process instance they belong to

  Specified by:
    `findVariableInstancesByName` in interface `AuditService`
  Parameters:
    `variableId` - variable name
    `onlyActiveProcesses` - indicates if only active process instances should be considered or both active and completed
  Returns:
    all variable logs for given variable id or empty list if none were found

### findVariableInstancesByNameAndValue

    List<VariableInstanceLog> findVariableInstancesByNameAndValue(String variableId,
                                                                  String value,
                                                                  boolean onlyActiveProcesses)

  Description copied from interface: `AuditService`
  Returns all variable logs that are identified by variable id and has given value regardless of what process instance they belong to

  Specified by:
    `findVariableInstancesByNameAndValue` in interface `AuditService`
  Parameters:
    `variableId` - variable name
    `value` - value of the variable
    `onlyActiveProcesses` - indicates if only active process instances should be considered or both active and completed
  Returns:
    all variable logs for given variable id and its value matches given value or empty list if none were found

### nodeInstanceLogQuery

    org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder nodeInstanceLogQuery()

  Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `NodeInstanceLog` instances.

  Returns:
    a `NodeInstanceLogQueryBuilder` instance

### variableInstanceLogQuery

    org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder variableInstanceLogQuery()

  Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `VariableInstanceLog` instances.

  Returns:
    a `VariableInstanceLogQueryBuilder` instance

### processInstanceLogQuery

    org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder processInstanceLogQuery()

  Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `ProcessInstanceLog` instances.

  Returns:
    a `ProcessInstanceLogQueryBuilder` instance

### processInstanceLogDelete

    org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder processInstanceLogDelete()

### nodeInstanceLogDelete

    org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder nodeInstanceLogDelete()

### variableInstanceLogDelete

    org.kie.internal.runtime.manager.audit.query.VariableInstanceLogDeleteBuilder variableInstanceLogDelete()

### queryNodeInstanceLogs

    List<NodeInstanceLog> queryNodeInstanceLogs(org.kie.internal.query.data.QueryData queryData)

### queryVariableInstanceLogs

    List<VariableInstanceLog> queryVariableInstanceLogs(org.kie.internal.query.data.QueryData queryData)

### queryProcessInstanceLogs

    List<ProcessInstanceLog> queryProcessInstanceLogs(org.kie.internal.query.data.QueryData queryData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.